ERROR_EXIT(3)

NAME
error_exit - prints error messages and exits

SYNOPSIS
#include <vips/vips.h> void error_exit(variable_list)

DESCRIPTION
error_exit prints at the standard error output:
 - the message held in buffer errorstring and
 - the message held in variable_list. The format of ( variable_list ) is:
  (format, arg1, arg2, ...) where format, arg1, arg2, ... are the same as in printf. The function exits to the system after printing any error messages accumulated in im_errorstring due to calls to im_errormsg(3).

SEE ALSO
im_errormsg(3), im_intro(3), printf(1), im_warning(3).

COPYRIGHT
Birkbeck College

AUTHOR
N. Dessipris - 22/04/1991